package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.process.model.RiskControlDetails;

public interface RiskControlDetailsDao extends Dao{
	
	public List<RiskControlDetails> getRiskControlDetails(Integer legalEntityCode, String auditId, String observationId, String recStatus);
	
	void deleteRiskControlDetailsById(Integer id);
	
	void deleteRiskControlDetailsByObservationId(String observationId);
}
